Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 703314 - Vote on GLEP 81 update: removing policy part
Summary: Vote on GLEP 81 update: removing policy part
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Council
Classification: Unclassified
Component: unspecified (show other bugs)
Hardware: All Linux
: Normal normal
Assignee: Gentoo Council
URL:
Whiteboard: y/n/a 5/0/0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-18 19:00 UTC by Michał Górny
Modified: 2020-01-12 19:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-12-18 19:00:33 UTC
Dear Council members,

Please vote on the following GLEP 81 update at [1].  The idea is to make the GLEP specification only, and set policy separately.  This was prompted by my earlier RFC on existing policy [2], and QA has already approved a replacement policy [3].

From what I gather, there were no replies against removing the policy from the GLEP or strongly against the new policy.  There was some debate about UID/GID range permitted by the policy.  Michael suggested that the review is still helpful in some cases but that only happens if people submit whole ebuilds and not just numbers which isn't happening anymore.

[1] https://archives.gentoo.org/gentoo-dev/message/7e2197c632d42900df525141ae328913
[2] https://archives.gentoo.org/gentoo-dev/message/9601d9904bf97d88349d41ab7d3a4eb7
[3] https://bugs.gentoo.org/702460
Comment 1 Ulrich Müller gentoo-dev 2019-12-20 16:31:19 UTC
/me yes
Comment 2 Thomas Deutschmann gentoo-dev Security 2019-12-20 18:02:20 UTC
/me yes
Comment 3 Sergei Trofimovich gentoo-dev 2019-12-20 19:40:58 UTC
Vote: yes
Comment 4 Georgy Yakovlev gentoo-dev 2019-12-20 20:03:34 UTC
yes
Comment 5 Andreas K. Hüttel gentoo-dev 2019-12-21 09:30:12 UTC
yes
Comment 6 Andreas K. Hüttel gentoo-dev 2019-12-21 10:03:45 UTC
Solid majority, motion passed irrespective of still missing votes, let's go ahead.
Comment 7 Larry the Git Cow gentoo-dev 2019-12-21 13:05:52 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/data/glep.git/commit/?id=3764ea979f7652d7c8b57dfd8340455c41882644

commit 3764ea979f7652d7c8b57dfd8340455c41882644
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-12-10 07:39:00 +0000
Commit:     Ulrich Müller <ulm@gentoo.org>
CommitDate: 2019-12-21 13:04:44 +0000

    glep-0081: Remove policy part
    
    Remove the policy part from GLEP 81, making it into a pure technical
    specification.  The policy will now be defined by the QA team
    as a regular tree policy.  Since the planned policy updates make it
    less restrictive, there is really no need to hammer it at GLEP level.
    
    Bug: https://bugs.gentoo.org/703314
    Signed-off-by: Michał Górny <mgorny@gentoo.org>
    [Fixed name of CC-BY-SA-4.0; it is "International", not "Unported".]
    Signed-off-by: Ulrich Müller <ulm@gentoo.org>

 glep-0081.rst | 50 ++++++++++++++------------------------------------
 1 file changed, 14 insertions(+), 36 deletions(-)
Comment 8 William Hubbs gentoo-dev 2020-01-05 17:02:28 UTC
Vote: yes
Comment 9 William Hubbs gentoo-dev 2020-01-12 19:26:30 UTC
Council agreed that this bug could be closed in the 2020-01-12 meeting.